{% extends 'root.html' %}
{% block body %}
{% set personal_details_url =
url_for("person_role_details.person_role_details_form",_external=True,token=request.args.get("token")) %}
{% set safety_checklist_url =
url_for("safety_checklist.safety_checklist_form",_external=True,token=request.args.get("token")) %}
<h1>Chemistry Starters Registration</h1>
<p>Welcome to the Yusuf Hamied Department of Chemistry online registration system.</p>

<h3>Registration process progress</h3>

{# Things the starter still needs to complete #}
{% if not (person_role_form_complete and safety_checklist_complete) %}
<div class="tasks-to-be-done">
  <p><em>You need to carry out the following tasks:</em></p>
  <ul>
    {% if not person_role_form_complete %}
    <li class="undone">Complete and submit the personal details form at <a href="{{ personal_details_url }}">{{
        personal_details_url }}</a>
    </li>
    {% endif %}
    {% if not safety_checklist_complete %}
    <li class="undone">Have your safety induction meeting. The person who gave you the link to the online registration
      system should have told you how to arrange that.</li>
    {% if post_category is none %}<li class="undone">Possibly complete online safety training. Once the personal details
      form is complete this page and the safety checklist will be updated with details of any safety training you are
      required to complete.</li>{% else %}{% if safety_training_html is not none %}<li class="undone">Complete online
      safety training at {{ safety_training_html|safe }}</li>{% else %}<li>You do not need any additional safety training for your role</li>{%
    endif %}{% endif %}
    <li class="undone">Complete and submit the safety checklist form to confirm you have had a safety induction meeting
      and completed any safety training required for your role. {% if person_role_form_complete %}The checklist is at <a
        href="{{ safety_checklist_url }}">{{ safety_checklist_url }}</a> .{% else %}The checklist will become available
      from this page once the personal details form is submitted.{% endif %}</li>
    </li>
    {% endif %}

  </ul>
</div>
{% endif %}


{# things third parties still need to do #}
{% if (safety_training_signoff_needed and not safety_training_signed) or (safety_checklist_complete and not
safety_checklist_signed) %}
<div class="tasks-to-be-done">
  <p><em>Before your registration can be processed other people must carry out the following tasks</em>:</p>
  <ul>
    {% if not safety_checklist_signed %}
    <li>Once you have submitted the safety checklist it needs to be signed off as correct by {% if
      safety_checklist_checker is not none %}{{ safety_checklist_checker }}{% else %}the person who carried out your
      safety induction{% endif %}.{% if safety_checklist_complete %} They have been emailed with a copy and asked to do
      this. If you think the email has been missed you can ask {{ safety_checklist_checker }} to visit <a
        href="{{ url_for("safety_checklist.safety_checklist_signoff",_external=True,token=safety_check_token) }}">{{
        url_for("safety_checklist.safety_checklist_signoff",_external=True,token=safety_check_token) }}</a> to do this
      instead.{% endif %}</li>
    {% endif %}
    {% if safety_training_signoff_needed and not safety_training_signed %}
    <li>Once you have submitted the safety checklist, the Graduate Education Office will check you have successfully
      completed the safety training at {{ safety_training_html|safe }}.</li>
    {% endif %}
  </ul>
</div>
{% endif %}



{# Things the starter has completed #}
{% if person_role_form_complete or safety_checklist_complete %}
<div class="tasks-to-be-done">
  <p>You have already completed these tasks:</p>
  <ul>
    {% if person_role_form_complete %}
    <li>Personal details form</li>
    {% endif %}
    {% if safety_checklist_complete %}
    <li>Safety checklist</li>
    {% endif %}
  </ul>
</div>
{% endif %}

{# Things 3rd parties have completed #}
{% if (safety_training_signoff_needed and safety_training_signed) or (safety_checklist_complete and
safety_checklist_signed) %}
<p>Other people have completed the following tasks:</p>
<ul>
  {% if (safety_training_signoff_needed and safety_training_signed) %}
  <li>The Graduate Education Office has checked you have successfully completed safety training.</li>
  {% endif %}
  {% if safety_checklist_complete and safety_checklist_signed %}
  <li>{{ safety_checklist_checker }} has signed off your safety checklist as correct.</li>
  {% endif %}
</ul>
{% endif %}


<h3>Photograph</h3>
<div class="tasks-maybe-to-be-done">
  <p class="maybe-done">It is a requirement that all new starters are photographed for Departmental purposes - <em>this
      applies even if you already have a Cambridge University card</em>.
    Please follow this link to make an appointment if you have not already: <a target="_blank" rel="noopener noreferrer"
      href="https://calendly.com/photography-reg/registration-photograph-1">https://calendly.com/photography-reg/registration-photograph-1</a>.
    Directions to Photography can be found <a target="_blank" rel="noopener noreferrer"
      href="https://www.ch.cam.ac.uk/photography/how-find-us">here</a>.
  </p>
</div>

<h3>What happens next</h3>

<p><em>Swipe card access and access to IT systems will only be granted after all registration steps are complete, your
    photograph has been taken, and the admin team have processed the data.</em></p>
{% endblock %}
